Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0019440
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajorhave not tried2012-01-10 10:582012-01-25 17:15
ReportermarvintmView Statuspublic 
Assigned Tomarvintm 
PrioritynormalResolutionfixedFixed in Version3.0MP8
StatusclosedFix in branchFixed in SCM revisionb01a64d17251
ProjectionnoneETAnoneTarget Version3.0MP8
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0019440: Fields in status bar are not displayed correctly if they are not mandatory or have a default value

DescriptionFields whose reference is either "list" or "table" are not displayed correctly in case the following is true:
- The field is not mandatory
- It is shown in the status bar
- It is not set as "displayed"
- It is not shown in the grid
- It doesn't have a default value

If those are true, in case of the list reference, the "value" is shown instead of the name, and in case of the table reference, the UUID is shown.
Steps To Reproduce- As System Administrator, go to the Windows, tabs and Fields window.
- Look for the Document Status field, in the Header tab, in the Sales Invoice window.
- Set it as not shown in the grid.
- Navigate to its column. Remove the default value, and set it as non-mandatory.
- As F&B Admin, open the Sales Invoice window.
- Select a record and enter in form view. The Document Status value should be correct.
- Return to grid view, and enter in form view again. The Document Status value will be incorrect.
Proposed SolutionA performance optimization needs to be changed so that it takes into account if the field is shown in the toolbar.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0044167)
hgbot (developer)
2012-01-10 11:01

Repository: erp/devel/pi
Changeset: b01a64d17251352b39df06fabef3c45b435889da
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Tue Jan 10 11:00:31 2012 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/b01a64d17251352b39df06fabef3c45b435889da [^]

Fixed issue 19440. Combo will be computed if it belongs to the status bar.

---
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/reference/EnumUIDefinition.java
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/reference/FKComboUIDefinition.java
---
(0044341)
hudsonbot (developer)
2012-01-14 21:20

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/0f91795528e4 [^]

Maturity status: Test
(0044574)
AugustoMauch (developer)
2012-01-25 17:15

Code reviewed and verified

- Issue History
Date Modified Username Field Change
2012-01-10 10:58 marvintm New Issue
2012-01-10 10:58 marvintm Assigned To => marvintm
2012-01-10 10:58 marvintm Modules => Core
2012-01-10 11:01 hgbot Checkin
2012-01-10 11:01 hgbot Note Added: 0044167
2012-01-10 11:01 hgbot Status new => resolved
2012-01-10 11:01 hgbot Resolution open => fixed
2012-01-10 11:01 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/b01a64d17251352b39df06fabef3c45b435889da [^]
2012-01-14 21:20 hudsonbot Checkin
2012-01-14 21:20 hudsonbot Note Added: 0044341
2012-01-25 17:15 AugustoMauch Note Added: 0044574
2012-01-25 17:15 AugustoMauch Status resolved => closed
2012-01-25 17:15 AugustoMauch Fixed in Version => 3.0MP8


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker